
// ConnectionDlg.cpp : implementation file
//----------------------------------------
#include "stdafx.h"
#include "PCAcceptor.h"
#include "ConnectionDlg.h"
#include "Identifier.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CConnectionDlg dialog
//----------------------

CConnectionDlg::CConnectionDlg(CWnd* pParent) : CDialog(CConnectionDlg::IDD, pParent)
//===================================================================================
{
	//{{AFX_DATA_INIT(CConnectionDlg)
	m_bAutoConnect = FALSE;
	m_strConnectionName = _T("");
	m_strIPAddress = _T("");
	m_dwPortCommunication = 0;
	m_dwPortControl = 0;
	//}}AFX_DATA_INIT
}

void CConnectionDlg::DoDataExchange(CDataExchange* pDX)
//=====================================================
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConnectionDlg)
	DDX_Check(pDX, IDC_AUTO_CONNECT, m_bAutoConnect);
	DDX_Text(pDX, IDC_CONNECTION_NAME, m_strConnectionName);
	DDX_Text(pDX, IDC_IP_ADDRESS, m_strIPAddress);
	DDX_Text(pDX, IDC_PORT_COMMUNICATION, m_dwPortCommunication);
	DDX_Text(pDX, IDC_PORT_CONTROL, m_dwPortControl);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CConnectionDlg, CDialog)
	//{{AFX_MSG_MAP(CConnectionDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CConnectionDlg message handlers
//--------------------------------

BOOL CConnectionDlg::OnInitDialog() 
//=================================
{
	CWinApp* pApp=AfxGetApp();
	CDialog::OnInitDialog();
	m_strConnectionName=pApp->GetProfileString(REG_CONNECTION,REG_CONNECTION_NAME,_T("BD-4000"));
	m_strIPAddress=pApp->GetProfileString(REG_CONNECTION,REG_IP_ADDRESS,_T("192.168.1.1"));
	m_dwPortCommunication=pApp->GetProfileInt(REG_CONNECTION,REG_PORT_COMMUNICATION,4003);
	m_dwPortControl=pApp->GetProfileInt(REG_CONNECTION,REG_PORT_CONTROL,4001);
	m_bAutoConnect=(pApp->GetProfileInt(REG_CONNECTION,REG_AUTO_CONNECT,false)!=0);
	UpdateData(false);
	return TRUE;
}

void CConnectionDlg::OnOK() 
//=========================
{
	CWinApp* pApp=AfxGetApp();
	UpdateData(true);
	pApp->WriteProfileString(REG_CONNECTION,REG_CONNECTION_NAME,m_strConnectionName);
	pApp->WriteProfileString(REG_CONNECTION,REG_IP_ADDRESS,m_strIPAddress);
	pApp->WriteProfileInt(REG_CONNECTION,REG_PORT_COMMUNICATION,m_dwPortCommunication);
	pApp->WriteProfileInt(REG_CONNECTION,REG_PORT_CONTROL,m_dwPortControl);
	pApp->WriteProfileInt(REG_CONNECTION,REG_AUTO_CONNECT,m_bAutoConnect);
	CDialog::OnOK();
}
