
// PCAcceptorDlg.h : header file
//------------------------------
#if !defined(AFX_PCACCEPTORDLG_H__75A7CF58_75E3_4C16_8AB5_7418F69871B6__INCLUDED_)
#define AFX_PCACCEPTORDLG_H__75A7CF58_75E3_4C16_8AB5_7418F69871B6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MDBDefines.h"

typedef enum tag_ACCEPTOR_STATE
//=============================
{
	ACCEPTOR_Idle,
	ACCEPTOR_Reset,
	ACCEPTOR_Setup,
	ACCEPTOR_Identification,
	ACCEPTOR_FeatureEnable,
	ACCEPTOR_TubeStatus,
	ACCEPTOR_CoinTypeEnable,
	ACCEPTOR_CoinTypeDisable,
	ACCEPTOR_Polling,
	ACCEPTOR_Payout

}
ACCEPTOR_STATE;

// CPCAcceptorDlg dialog
//----------------------

class CPCAcceptorDlg : public CDialog
//===================================
{
public:
	CPCAcceptorDlg(CWnd* pParent=NULL);	// standard constructor
	void Received(DWORD dwPort, BYTE* pData, DWORD dwLength);
	void SetState(ACCEPTOR_STATE AcceptorState);
	ACCEPTOR_STATUS* GetStatus();
	ACCEPTOR_TUBESTATUS* GetTubeStatus();
	ACCEPTOR_IDENTIFICATION* GetIdentification();
	//{{AFX_DATA(CPCAcceptorDlg)
	enum { IDD = IDD_PCACCEPTOR_DIALOG };
	CEdit	m_Display;
	CEdit	m_Price9;
	CEdit	m_Price8;
	CEdit	m_Price7;
	CEdit	m_Price6;
	CEdit	m_Price5;
	CEdit	m_Price4;
	CEdit	m_Price3;
	CEdit	m_Price2;
	CEdit	m_Price1;
	CEdit	m_Price0;
	//}}AFX_DATA
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPCAcceptorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX); // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	HICON m_hIcon;
	ACCEPTOR_STATE m_AcceptorState;
	ACCEPTOR_STATE m_PreviousState;
	bool m_bReset;
	WORD m_wCoinTypeEnable;
	WORD m_wCoinTypeDispense;
	DWORD m_dwFeatureEnable;
	DWORD m_dwAcceptorWaitPolls;
	DWORD m_dwAccumulator;
	ACCEPTOR_STATUS m_AcceptorStatus;
	ACCEPTOR_TUBESTATUS m_AcceptorTubeStatus;
	ACCEPTOR_IDENTIFICATION m_AcceptorIdentification;
	void UpdateDisplay();
	void SellItem(DWORD dwIndex);
	// Generated message map functions
	//{{AFX_MSG(CPCAcceptorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnEditPrices();
	afx_msg void OnConnection();
	afx_msg void OnAbout();
	afx_msg void OnDestroy();
	afx_msg void OnAcceptorControl();
	afx_msg void OnAcceptorSetup();
	afx_msg void OnAcceptorIdentification();
	afx_msg void OnTubeStatus();
	afx_msg void OnSelection0();
	afx_msg void OnSelection1();
	afx_msg void OnSelection2();
	afx_msg void OnSelection3();
	afx_msg void OnSelection4();
	afx_msg void OnSelection5();
	afx_msg void OnSelection6();
	afx_msg void OnSelection7();
	afx_msg void OnSelection8();
	afx_msg void OnSelection9();
	afx_msg void OnPayout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations
// immediately before the previous line.
//---------------------------------------------------------
#endif // !defined(AFX_PCACCEPTORDLG_H__75A7CF58_75E3_4C16_8AB5_7418F69871B6__INCLUDED_)
